Name: apache2-mod_clamav
Version: 0.21
Release: alt3.M40.1

Summary: Antivirus module for Apache2
License: GPL
Group: System/Servers
Url: http://software.othello.ch/mod_clamav/
Packager: Avramenko Andrew <liks@altlinux.ru>

Source0: %name-%version.tar.gz
Source1: %name.conf
Source2: %name.load
Source3: 010-mod_clamav.conf
Patch0: %name-%version-clamav090.patch
Patch1: %name-%version-alt-makefile.patch
Patch2: %name-%version-apache22.patch

Requires: libclamav apache2 >= 2.2.4
BuildRequires: apache2-devel gcc-c++ libclamav-devel libaprutil1-devel libapr1-devel

%description
ClamAV antivirus support for Web-server Apache 2.

%prep
%setup -q
%patch0
%patch1
%patch2

%build
%configure --with-apxs=%apache_apxs
%make

%install
mkdir -p %buildroot/var/lib/%name
mkdir -p %buildroot%a_mods_available
mkdir -p %buildroot%apache_addonconfdir
mkdir -p %buildroot%apache_moduledir
mkdir -p %buildroot%a_mods_start
install -p -m 0755 .libs/mod_clamav.so.0.0.0 %buildroot/%apache_moduledir/mod_clamav.so
install -p -m 0644 %SOURCE1 %buildroot%a_mods_available/clamav.conf
install -p -m 0644 %SOURCE2 %buildroot%a_mods_available/clamav.load
install -p -m 0644 %SOURCE3 %buildroot%a_mods_start/010-clamav.conf
install -p -m 0644 safepatterns.conf %buildroot%apache_addonconfdir

%post
%a_sbindir/a2chkconfig

%postun
%a_sbindir/a2dismod clamav
%a_sbindir/a2chkconfig

%files
%config(noreplace) %apache_addonconfdir/safepatterns.conf
%config(noreplace) %a_mods_available/clamav.conf
%config(noreplace) %a_mods_start/010-clamav.conf
%a_mods_available/clamav.load
%apache_moduledir/mod_clamav.so
%doc mod_clamav.html mod_clamav.css
%attr(770,%apache_user,%apache_group) /var/lib/%name

%changelog
* Sun Mar 23 2008 Sergey Y. Afonin <asy@altlinux.ru> 0.21-alt3.M40.1
- Rebuilt for Branch 4.0 due to libclamav.so.2 -> libclamav.so.3 soname change.

* Wed Apr 04 2007 Avramenko Andrew <liks@altlinux.ru> 0.21-alt4
- spec macro abuse cleanup (with script of mike@)
- rebuild with new clamav

* Tue Apr 03 2007 Avramenko Andrew <liks@altlinux.ru> 0.21-alt3
- Rebuild with new apache directory structure
- Change default config
- Moved to git repo
- Creating /var/tmp/

* Tue Feb 27 2007 Avramenko Andrew <liks@altlinux.ru> 0.21-alt2
- Rewriting to support apache 2.2.x (patch 03)
- SPEC clean up
- Add safepattern.conf

* Fri Jan 5 2007 Avramenko Andrew <liks@altlinux.ru> 0.21-alt1
- Initial build for Sisyphus
